# mptr_ffmpeg.cpp File Reference

ppm Target Module More...

`#include <ETL/stringf>`
`#include "mptr_ffmpeg.h"`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <iostream>`
`#include <algorithm>`
`#include <functional>`

## Defines

#define | WIN32_PIPE_TO_PROCESSES

## Functions

| SYNFIG_IMPORTER_INIT (ffmpeg_mptr)
| SYNFIG_IMPORTER_SET_NAME (ffmpeg_mptr,"ffmpeg")
| SYNFIG_IMPORTER_SET_EXT (ffmpeg_mptr,"avi")
| SYNFIG_IMPORTER_SET_VERSION (ffmpeg_mptr,"0.1")
| SYNFIG_IMPORTER_SET_CVS_ID (ffmpeg_mptr,"$Id$")

## Detailed Description

ppm Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define WIN32_PIPE_TO_PROCESSES

## Function Documentation

SYNFIG_IMPORTER_INIT | ( | ffmpeg_mptr |  | ) |

SYNFIG_IMPORTER_SET_NAME | ( | ffmpeg_mptr | ,
|  | "ffmpeg" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_EXT | ( | ffmpeg_mptr | ,
|  | "avi" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_VERSION | ( | ffmpeg_mptr | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_CVS_ID | ( | ffmpeg_mptr | ,
|  | "$Id$" |  |
| ) |  |  |